// pages/activeDetails/activeDetails.js
import Dialog from '../../dist/dialog/dialog';
import Notify from '../../dist/notify/notify';
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    circleId: 0,
    eventId:0,
    active: 0,
   
    volunteerEventDat:[],
    isEnrollFinish:false,
    isComplete: false,
    isCircleOwner: false,
    isMember: false,
    isCircleOwner: false,
    personalMemberList:[],
    circleMemberList:[],
    menuText:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that=this;
    if (options != null) {
      that.setData({
        circleId: options.circleId,
        eventId: options.eventId
      })
    }
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_volunteer_event_detail.php',
      data: {
        unionId: config.unionId,
        eventId: that.data.eventId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if(res.statusCode==200){
          that.setData({
            volunteerEventDat: res.data.result.volunteerEventDat,
            isEnrollFinish: res.data.result.isEnrollFinish,
            isComplete: res.data.result.isComplete,
            isCircleOwner: res.data.result.isCircleOwner,
            isMember: res.data.result.isMember,
            personalMemberList: res.data.result.personalMemberList,
            circleMemberList: res.data.result.circleMemberList
          })
          //按钮文字控制
          if (res.data.result.isMember == false && res.data.result.isEnrollFinish==false){
            that.setData({
              menuText:'报名参加'
            })
          }
          if (res.data.result.isMember == true && res.data.result.isEnrollFinish == false) {
            that.setData({
              menuText: '取消报名'
            })
          }
          if (res.data.result.isMember == true && res.data.result.isEnrollFinish == true && res.data.result.isComplete ==false) {
            that.setData({
              menuText: '上传凭证'
            })
          }
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  },

  //点击切换
  onChange(event) {
    
  },

  //报名参加
  userAction(e){
    var that = this;
    var config = wx.getStorageSync('config');
    //获取按钮上面的文字.
    if (that.data.isCircleOwner && that.data.menuText =="报名参加") {
      //圈主身份的时候报名处理，弹出选择对话框
      Dialog.confirm({
        title: '',
        message: '检测到您为圈主,是否团队报名?',
        confirmButtonText:'是',
        cancelButtonText:'否'
      }).then(() => {
        //调用团队报名接口
        wx.request({
          url: app.url + 'ajax_attend_volunteer_event_circle.php',
          data: {
            unionId: config.unionId,
            eventId: that.data.eventId,
            circleId: that.data.circleId
          },
          header: { 'content-type': 'application/json' },
          method: 'GET',
          dataType: 'json',
          success: function (res) {
            console.log(res)
            if (res.statusCode == 200) {
              Notify({ type: 'success', message: res.data.result.message });
              //如果报名成功则刷新本页面
              if (res.data.status == "OK") {
                that.onLoad();
              }
            }
          },
          fail: function (res) {
            Notify({ type: 'danger', message: res.data.result.message });
          },
          complete: function (res) { },
        })
      }).catch(() => {
        //调用个人报名接口
        wx.request({
          url: app.url + 'ajax_attend_volunteer_event_personal.php',
          data: {
            unionId: config.unionId,
            eventId: that.data.eventId,
            circleId: that.data.circleId
          },
          header: { 'content-type': 'application/json' },
          method: 'GET',
          dataType: 'json',
          success: function (res) {
            console.log(res)
            if (res.statusCode == 200) {
              Notify({ type: 'success', message: res.data.result.message });
              //如果报名成功则刷新本页面
              if (res.data.status == "OK") {
                that.onLoad();
              }
            }
          },
          fail: function (res) {
            Notify({ type: 'danger', message: res.data.result.message });
          },
          complete: function (res) { },
        })
      });
    }

    if (!that.data.isCircleOwner && that.data.menuText == "报名参加") {
      //非圈主身份的时候个人报名处理
      wx.request({
        url: app.url +'ajax_attend_volunteer_event_personal.php',
        data: {
          unionId: config.unionId,
          eventId: that.data.eventId,
          circleId: that.data.circleId
        },
        header: { 'content-type': 'application/json'},
        method: 'GET',
        dataType: 'json',
        success: function(res) {
          console.log(res)
          if(res.statusCode==200){
            Notify({ type: 'success', message: res.data.result.message });
            //如果报名成功则刷新本页面
            if (res.data.status == "OK") {
              that.onLoad();
            }
          }
        },
        fail: function(res) {
          Notify({ type: 'danger', message: res.data.result.message });
        },
        complete: function(res) {},
      })
    }

    if (that.data.menuText == "取消报名") {
      //取消报名
      wx.request({
        url: app.url + 'ajax_cancel_volunteer_event.php',
        data: {
          unionId: config.unionId,
          eventId: that.data.eventId
        },
        header: { 'content-type': 'application/json' },
        method: 'GET',
        dataType: 'json',
        success: function (res) {
          console.log(res)
          if (res.statusCode == 200) {
            Notify({ type: 'success', message: res.data.result.message });
            //如果取消成功，跳转到活动首页
            if (res.data.status =="OK") {
              wx.redirectTo({
                url: '../volunteers/volunteers?',
              })
            }
          }
        },
        fail: function (res) {
          Notify({ type: 'danger', message: res.data.result.message });
        },
        complete: function (res) { },
      })
    }

    if (that.data.menuText == "上传凭证") {
      //跳转到上传凭证页面
      Dialog.confirm({
        title: '标题',
        message: '是否上传凭证?'
      }).then(() => {
        wx.navigateTo({
          url: '../uploadDocuments/uploadDocuments',
        })
      }).catch(() => {
        // on cancel
        Notify({ type: 'danger', message: '取消报名' });
      });
    }


    // if(this.data.zhuangtai=='报名参加'){
    //   if(this.data.isOwner==true){
    //     Dialog.confirm({
    //       title: '',
    //       message: '检测到您为圈主,是否团队报名?',
    //       confirmButtonText:'是',
    //       cancelButtonText:'否'
    //     }).then(() => {
    //       Dialog.confirm({
    //         title: '',
    //         message: '是否团队报名?'
    //       }).then(() => {
    //         wx: wx.request({
    //           url: app.url + 'ajax_attend_volunteer_event_circle.php',
    //           header: { 'content-type': 'application/json' },
    //           method: 'GET',
    //           dataType: 'json',
    //           success: function (res) {
    //             if (res.statusCode == 200) {
    //               Notify({ type: 'success', message: '成功团队报名?' });
    //             }
    //           },
    //           fail: function (res) {
    //             Notify({ type: 'danger', message: '团队报名失败' });},
    //           complete: function (res) { },
    //         })
    //       }).catch(() => {
    //         Notify({ type: 'danger', message: '取消团队报名?' });
    //       });
    //     }).catch(() => {
    //       Dialog.confirm({
    //         title: '',
    //         message: '是否个人报名?'
    //       }).then(() => {
    //         wx:wx.request({
    //           url: app.url +'ajax_attend_volunteer_event_personal.php',
    //           header: { 'content-type': 'application/json'},
    //           method: 'GET',
    //           dataType: 'json',
    //           success: function(res) {
    //             console.log(res)
    //             if(res.statusCode==200){
    //               Notify({ type: 'success', message: '成功个人报名?' });
    //             }
    //           },
    //           fail: function(res) {
    //             Notify({ type: 'danger', message: '个人报名失败' });
    //           },
    //           complete: function(res) {},
    //         })
    //       }).catch(() => {
    //         Notify({ type: 'danger', message: '取消个人报名?' });
    //       });
    //     });
    //   }
    // }


    // wx: wx.request({
    //   url: app.url + 'ajax_cancel_volunteer_event_personal.php',
    //   header: { 'content-type': 'application/json' },
    //   data:{
    //     unionId: config.unionId,
    //     age:4
    //   },
    //   method: 'GET',
    //   dataType: 'json',
    //   success: function (res) {
    //     console.log(res)
    //     if (res.statusCode == 200) {
    //       Notify({ type: 'success', message: '成功取消报名?' });
    //     }
    //   },
    //   fail: function (res) {
    //     Notify({ type: 'danger', message: '取消报名失败' });
    //   },
    //   complete: function (res) { },
    // })
  }
})